<?php 

	if(isset($_GET['change_pass'])){
		$pageTitle 	= 'Восстановление пароля';
	} else {
		$pageTitle 	= 'Авторизация в системе';
	}
	
	require_once(ROOT . 'templates/header.php');
	
	/* Смена пароля */
	if( isset($_GET['change_pass']) AND isset($_GET['confirm']) AND $_GET['change_pass'] != '' AND $_GET['confirm'] == md5($_GET['change_pass'].date("Y-m-d")) ){
		$dom = new DOMDocument; 
		$dom->load($baseU);
		$xpath = new DOMXPath($dom);
		
		$userCheckEmail 	= $xpath->query('/users/user[useremail="'.$_GET['change_pass'].'"]');
		
		if($userCheckEmail->length > 0 ){
			$userFogLogin 		= $xpath->query('/users/user[useremail="'.$_GET['change_pass'].'"]')->item(0)->getAttribute("login");
			$userFogName 		= $xpath->query('/users/user[useremail="'.$_GET['change_pass'].'"]')->item(0)->getElementsByTagName("username")->item(0)->nodeValue;
			$userFogSurName 	= $xpath->query('/users/user[useremail="'.$_GET['change_pass'].'"]')->item(0)->getElementsByTagName("usersurname")->item(0)->nodeValue;
		
			// Добавление лога
			new_log("Смена пароля: $userFogName $userFogSurName");
			
			$newPass	= rand(10000000, 99999999);
			$newPassMD 	= md5(md5($_SERVER["SERVER_NAME"]).md5($newPass).md5($folder));
			
			# Отправка уведомления о сбросе пароля #
			$subject 	= "CRM система. Новый пароль";
			$message 	= '
				<h2>Здравствуйте, '. $userFogName .'!</h2>
				<p>Изменен личный пароль входа в CRM систему <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
				<p>Учетная запись: <b>'.$userFogLogin.'</b></p>
				<p>Новый пароль: <b>'.$newPass.'</b></p>
				<br/>
				<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
				<br/>
				<p>Хорошего дня и отличного настроения!</p>
			';
			send_email($_GET['change_pass'], $userFogName, $subject, $message);
			
			$NewUserPass = $xpath->query('/users/user[useremail="'.$_GET['change_pass'].'"]')->item(0)->setAttribute('password', $newPassMD);
			$dom->save($baseU);

			$notices[] = 'Новый пароль отправлен';
		} else {
			$notices_er[] = 'Пользователь не найден';
		}
	}
	
	
	/* Запрос на восстановление */
	if( isset( $_POST['btn_change'] ) ) {
		$userFogEmail 	= $_POST["email_forgot"];

		$dom = new DOMDocument; 
		$dom->load($baseU);
		$xpath = new DOMXPath($dom);
		
		$userCheckEmail 	= $xpath->query('/users/user[useremail="'.$userFogEmail.'"]');
		
		if($userCheckEmail->length > 0 ){
			$userFogName 		= $xpath->query('/users/user[useremail="'.$userFogEmail.'"]')->item(0)->getElementsByTagName("username")->item(0)->nodeValue;
			$userFogSurName 	= $xpath->query('/users/user[useremail="'.$userFogEmail.'"]')->item(0)->getElementsByTagName("usersurname")->item(0)->nodeValue;
		
			// Добавление лога
			new_log("Запрос на восстановление пароля: $userFogName $userFogSurName");
			
			# Отправка уведомления о сбросе пароля #
			$subject 	= "CRM система. Запрос на смену пароля";
			$message 	= '
				<h2>Здравствуйте, '. $userFogName .'!</h2>
				<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a> зарегистрировала запрос на смену вашего пароля</p>
				<p>Если данный запрос выполнен вами - для подтверждения перейдите по ссылке ниже:</p>
				<p><a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/?change_pass='. $userFogEmail . '&confirm='. md5($userFogEmail.date("Y-m-d")) . '" target="_blank">http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/?change_pass='. $userFogEmail . '&confirm'. md5($userFogEmail.date("Y-m-d")) . '</a></p>
				<p>Cсылка действует только '.date("d.m.Y").'</p>
				<br/>
				<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
				<br/>
				<p>Хорошего дня и отличного настроения!</p>
			';
			send_email($userFogEmail, $userFogName, $subject, $message);

			$notices[] = 'Запрос на смену пароля отправлен';
		} else {
			$notices_er[] = 'Пользователь не найден';
		}
	}
	
	if (isset($_POST["btn_login"]) && isset($_POST["login"]) && isset($_POST["password"])) { //Если логин и пароль были отправлены
		if (!$auth->auth($_POST["login"], $_POST["password"])) { //Если логин и пароль введен не правильно
			$notices_er[] = 'Логин или пароль не верный';
		}
		if( isset($sessionDate) AND strtotime($sessionUserDate) < strtotime($sessionDate)) {
			$notices_er[] = 'Ваш заблокированы до ' . $sessionDate;
		}
	}
	
	require_once(ROOT . 'templates/main-menu.php');
?>
<style>
	/*
	h1.form-signin-heading span[class*=word] span {
		background-image: url('./assets/img/text-bg.png');
		background-color: <?php echo get_color($_SERVER['SERVER_NAME']); ?>;
		background-position: 30% 50%;
	}
	*/
</style>
<div class="login-form-block">
	<?php if(isset($_POST["btn_change"]) OR isset($_GET['change_pass'])){ ?>
	<h1 class="form-signin-heading" style="background-image: url('/<? echo $folder; ?>/assets/img/text-bg.jpg');">RE<span style="font-size:55pt;">COVER</span></h1>
	
		<?php if(isset($_POST["btn_change"])) { ?>
		<div class="row form-signin">
			<div class="col-lg-12 col-md-12 col-sm-12 form-signin-domain" style="font-size:1.2em;">Запрос на смену пароля отправлен на email: <?php echo $_POST["email_forgot"]; ?></div>
		</div>
		<?php } elseif($_GET["change_pass"] != '' AND $_GET['confirm'] == md5($_GET['change_pass'].date("Y-m-d"))) { ?>
		<div class="row form-signin">
			<div class="col-lg-12 col-md-12 col-sm-12 form-signin-domain" style="font-size:1.2em;">Новый пароль отправлен на email<br/><?php echo $_GET['change_pass']; ?></div>
		</div>
		<?php } elseif($_GET["change_pass"] != '' AND $_GET['confirm'] != md5($_GET['change_pass'].date("Y-m-d"))) { ?>
		<div class="row form-signin">
			<div class="col-lg-12 col-md-12 col-sm-12 form-signin-domain" style="font-size:1.2em;">Истекло время ссылки для смены пароля<br/>Отправьте новый запрос</div>
		</div>
		<?php } else { ?>
		<form class="form-signin" method="post" autocomplete="off">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12">
					<div class="input-group">
						<span class="input-group-addon"><i class="fa fa-fw fa-lg fa-envelope" aria-hidden="true"></i></span>
						<input type="email" name="email_forgot" class="form-control" placeholder="Введите ваш email" value="<?php echo (isset($_POST["email"])) ? $_POST["email"] : null; // Заполняем поле по умолчанию ?>" autocomplete="off" required autofocus>
						<span class="input-group-addon submit"><button name="btn_change" type="submit" style="border:none;"><i class="fa fa-fw fa-sign-in" aria-hidden="true"></i></button></span>
					</div>
				</div>
			</div>
		</form>
		<?php } ?>

	<?php } else { ?>
	<h1 class="form-signin-heading" style="background-image: url('/<? echo $folder; ?>/assets/img/text-bg.jpg');"><?php echo $CRMname; ?></h1>
	<form class="form-signin" method="post" autocomplete="off">
		<div class="row">
			<div class="col-lg-6 col-md-6 col-sm-12">
				<div class="input-group">
					<span class="input-group-addon"><i class="fa fa-fw fa-lg fa-user" aria-hidden="true"></i></span>
					<input type="login" name="login" class="form-control" placeholder="Логин" value="<?php echo (isset($_POST["login"])) ? $_POST["login"] : null; // Заполняем поле по умолчанию ?>" required autofocus>
				</div>
			</div>
			<div class="col-lg-6 col-md-6 col-sm-12">
				<div class="input-group">
					<span class="input-group-addon"><i class="fa fa-fw fa-lg fa-unlock-alt" aria-hidden="true"></i></span>
					<input type="password" name="password" class="form-control" placeholder="Пароль" value="" required>
					<span class="input-group-addon submit"><button name="btn_login" type="submit" style="border:none;"><i class="fa fa-fw fa-sign-in" aria-hidden="true"></i></button></span>
				</div>
			</div>
		</div>
	</form>
	<?php } ?>
	<div class="form-signin-coppy"><?php echo $CRMcoppy; ?> <span style="margin:0px 10px;">|</span> <a href="/<?php echo $folder; ?>/workbox-info" title="Информация о системе"><?php echo $CRMnameFull; ?> <?php echo $CRMversion; ?></a></div></div>
</div>
<? require_once(ROOT . 'functions/crm-notification.php'); ?>
<script type="text/javascript" src="//netdna.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
<script>
	function sendlog(){
		var fd 		= new FormData();
		var number 	= "<?php echo $nCRMsn; ?>";
		var domain 	= document.location.hostname;
		var email 	= "<?php echo $nCRMuseremail; ?>";
		var user 	= "<?php echo $nCRMusername; ?>";
		fd.append('number', number);
		fd.append('domain', domain);
		fd.append('email', email);
		fd.append('user', user);
		$.ajax({
			url: 'https://muststyle.ru/_workbox/wb_send_log.php',
			type: 'POST',                        
			data: fd,
			contentType: false,
			processData: false,
			beforeSend: function(){},
			success: function(response) {
				var result = JSON.parse(response);
				if(result.status == "ok"){} else {}
			},
			error: function(xhr) {}
		});
	}
	$('.form-signin button[type=submit]').click(function(){
		sendlog();
	});
	$(document).ready(function() {
		$('.form-signin, h1.form-signin-heading').css('opacity','1.0').css('-khtml-opacity','1.0').css('-moz-opacity','1.0');
	});
</script>
<?
	require_once(ROOT . 'templates/footer.php');
?>
	</body>
</html>